Package: org.apache.groovy.contracts.domain

## [Java] Class Assertion<T extends Assertion>

- org.apache.groovy.contracts.domain.Assertion

-     public abstract class Assertion<T extends Assertion>
      extends Object

  Base class for all assertion types.

  Parameters:

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Assertion()`
    `Assertion(BlockStatement blockStatement, BooleanExpression booleanExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `and(T other)`
    `` | `public BooleanExpression` | `booleanExpression()`
    `` | `public void` | `or(T other)`
    `` | `public BlockStatement` | `originalBlockStatement()`
    `` | `public void` | `renew(BooleanExpression booleanExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public Assertion()

    - #### public Assertion(BlockStatement blockStatement, BooleanExpression booleanExpression)

  - ### Method Detail

    - #### public void and(T other)

    - #### public BooleanExpression booleanExpression()

    - #### public void or(T other)

    - #### public BlockStatement originalBlockStatement()

    - #### public void renew(BooleanExpression booleanExpression)